import { PDA } from "@renec-foundation/oracle-sdk";
import { PricePair } from "./utils/prices";
export declare const POSITION_LIMIT = 6;
export declare const SOL_PADDING_FOR_INTEREST = "1000000";
export declare const SLOTS_PER_YEAR = 63072000;
export declare const SOLEND_ADDRESSES: string[];
export declare const RE_USD = "reUSD";
export declare const RE_VND = "reVND";
export declare const RE_NGN = "reNGN";
export declare const IS_MAINNET: boolean;
export declare const IS_USING_MAINNET_TESTING_PROGRAM: boolean;
export declare const IS_USING_TESTNET_V2: boolean;
export declare const IS_DEBUGGING: boolean;
export declare const RELEND_INFO_MAINNET: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const RELEND_INFO_TEST: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const RELEND_INFO_TESTNET_V2: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const RELEND_INFO_MAINNET_TEST_REVND_RENGN: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const getRelendInfo: () => {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const REUSD_PRICE_MAINNET: PricePair;
export declare const REUSD_PRICE_TESTNET: PricePair;
export declare const PRICE_PAIRS_MAINNET: PricePair[];
export declare const PRICE_PAIRS_MAINNET_TEST_REVND_RENGN: PricePair[];
export declare const PRICE_PAIRS_TESTNET: PricePair[];
export declare const getReUSDPricePair: () => PricePair;
export declare const getPricePair: () => PricePair[];
export declare const pdaMainnet: PDA;
export declare const pdaTestnet: PDA;
export declare const getPDA: () => PDA;
