"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPDA = exports.pdaTestnet = exports.pdaMainnet = exports.getPricePair = exports.getReUSDPricePair = exports.PRICE_PAIRS_TESTNET = exports.PRICE_PAIRS_MAINNET_TEST_REVND_RENGN = exports.PRICE_PAIRS_MAINNET = exports.REUSD_PRICE_TESTNET = exports.REUSD_PRICE_MAINNET = exports.getRelendInfo = exports.RELEND_INFO_MAINNET_TEST_REVND_RENGN = exports.RELEND_INFO_TESTNET_V2 = exports.RELEND_INFO_TEST = exports.RELEND_INFO_MAINNET = exports.IS_DEBUGGING = exports.IS_USING_TESTNET_V2 = exports.IS_USING_MAINNET_TESTING_PROGRAM = exports.IS_MAINNET = exports.RE_NGN = exports.RE_VND = exports.RE_USD = exports.SOLEND_ADDRESSES = exports.SLOTS_PER_YEAR = exports.SOL_PADDING_FOR_INTEREST = exports.POSITION_LIMIT = void 0;
const oracle_sdk_1 = require("@renec-foundation/oracle-sdk");
const web3_js_1 = require("@solana/web3.js");
exports.POSITION_LIMIT = 6;
exports.SOL_PADDING_FOR_INTEREST = "1000000";
exports.SLOTS_PER_YEAR = 63072000;
exports.SOLEND_ADDRESSES = [
    "5pHk2TmnqQzRF9L6egy5FfiyBgS7G9cMZ5RFaJAvghzw",
    "yaDPAockQPna7Srx5LB2TugJSKHUduHghyZdQcn7zYz",
    "81KTtWjRndxGQbJHGJq6EaJWL8JfXbyywVvZReVPQd1X",
    "GDmSxpPzLkfxxr6dHLNRnCoYVGzvgc41tozkrr4pHTjB",
];
exports.RE_USD = "reUSD";
exports.RE_VND = "reVND";
exports.RE_NGN = "reNGN";
exports.IS_MAINNET = process.env.NEXT_PUBLIC_IS_MAINNET === "true";
exports.IS_USING_MAINNET_TESTING_PROGRAM = process.env.NEXT_PUBLIC_IS_USING_MAINNET_TESTING_PROGRAM === "true";
exports.IS_USING_TESTNET_V2 = process.env.NEXT_PUBLIC_IS_USING_TESTNET_V2 === "true";
exports.IS_DEBUGGING = process.env.NEXT_PUBLIC_DEBUG === "true";
// ! RELEND INFO
exports.RELEND_INFO_MAINNET = [
    {
        name: "main",
        isPrimary: true,
        description: "mainnet",
        creator: "AjunQwCmBcbB7XxvieLToVdWBxbK5vBDFp93ctBdfZve",
        address: "48qby9KswHa1dWa6xYKSYPju3oidfG6aZqDn8jSfpbcR",
        hidden: false,
        isPermissionless: false,
        authorityAddress: "8ow2u55DRpYjZRrwmA81HAV2tzXjxczhGhnNUggrEWwe",
        owner: "AjunQwCmBcbB7XxvieLToVdWBxbK5vBDFp93ctBdfZve",
        reserves: [
            {
                liquidityToken: {
                    coingeckoID: "reVND",
                    decimals: 0,
                    logo: "https://renec-homepage.s3.amazonaws.com/tokens/reVND.png",
                    mint: "2kNzm2v6KR5dpzgavS2nssLV9RxogVP6py2S6doJEfuZ",
                    name: "reVND",
                    symbol: "reVND",
                    volume24h: 25630.0,
                },
                pythOracle: "Hf2adYGtFBBiraDGU2AzvXaEjmxTPDRH2uuGzdprjmCh",
                switchboardOracle: "B8C5ZttE6M3RhF533xSgXQv6zsKkBwRodBoqdahu85JQ",
                address: "HrViAzmrXZVtvhP6JPSyvcw1EqWNWfUwdVAPfyMwU3rU",
                collateralMintAddress: "H46oHB1xh4unDWN6bFvjSAoN4pFwokjRF9gYdqceTVAz",
                collateralSupplyAddress: "HgKbvJML6QjGdfyK2N5Qxhb9n6uYUcNYJ1GQvviZGton",
                liquidityAddress: "9NyFw9GB9q3PUbiSFSjUxzASwCm41YjChJUZU98oft4M",
                liquidityFeeReceiverAddress: "DcR3XWFKRQEF99S7JYx3ZoQzBCsRyWHvoHBcFtj4M9fm",
                userBorrowCap: 1000000000,
                userSupplyCap: 10000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reNGN",
                    decimals: 0,
                    logo: "https://easytokenbucket.s3.amazonaws.com/l51g6wi82relpkmjnnu2bbmhv9lp",
                    mint: "BfSYryW6Q93iUKE4uNsUtAdxQT9uU4GSVg2si3outLk1",
                    name: "reNGN",
                    symbol: "reNGN",
                    volume24h: 25630.0,
                },
                pythOracle: "AeySuk5cgEjkJcBxPswnyzi77ctYNbsKkq5q2miEzPRS",
                switchboardOracle: "EUFxHUm5P5n6vY363sjtQcRG3XNf1qG56Bx2MZigpaQT",
                address: "FeLrJVqZTsmeaGuSQgAWjWpm99R8DeHMStHd7SKqtYcr",
                collateralMintAddress: "AKUfdtUmuWF5NHYNt5ueT6j6gDuysRroCcBh2zqZaop",
                collateralSupplyAddress: "4kyHUrvMYURTj8qkC4PsMwnuT2eoJf7yoi7sxo1gA6X3",
                liquidityAddress: "5ipUv4BcSwTYnYDBfSnmTCfsyKE6bT9PDxjbSqueNrEB",
                liquidityFeeReceiverAddress: "3KFGQJStd4hv2Ac2CfMkqEMz4pqbq6SdPCuVJk1UMfeE",
                userBorrowCap: 2000000,
                userSupplyCap: 2000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "RENEC",
                    decimals: 9,
                    logo: "https://easytokenbucket.s3.amazonaws.com/nsbr7a24f6ox3xh40obw8jaaxjzt",
                    mint: "So11111111111111111111111111111111111111112",
                    name: "RENEC",
                    symbol: "RENEC",
                    volume24h: 25630.0,
                },
                pythOracle: "GKQkHhzpDqyQ3AKaoo3ADcFjV6oFLv7Xf7Ut4dKyxtHj",
                switchboardOracle: "GKQkHhzpDqyQ3AKaoo3ADcFjV6oFLv7Xf7Ut4dKyxtHj",
                address: "GK7qqqM159LixsqPU4PSkduygnA7USY6aJTJepYovBM1",
                collateralMintAddress: "CxsttCprjkQPxJrZNNzJHFWSkcsENwMiQTrW8YLcHbM9",
                collateralSupplyAddress: "FqBCy9yq8LYr8JJJxkwm1NVTr4ZX8Q25vqCDfqE814bV",
                liquidityAddress: "CQZu9cn2Sp9RtTDFxcmZApnnfVUzY1B47AXYejwPBAcG",
                liquidityFeeReceiverAddress: "7UxsqZQTo1QDcehHLmTr3mtjdprLccUnqv4jFowvP2Sg",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reBTC",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/renec-chain/rpl-token-registry/master/assets/mainnet/GwPQTMg3eMVpDTEE3daZDtGsBtNHBK3X47dbBJvXUzF4/logo.png",
                    mint: "GwPQTMg3eMVpDTEE3daZDtGsBtNHBK3X47dbBJvXUzF4",
                    name: "reBTC",
                    symbol: "reBTC",
                    volume24h: 25630.0,
                },
                pythOracle: "F7jKoXmoBGrTvEPj2PaD4XQc835ZQAu2eXWSNAGCzJUu",
                switchboardOracle: "F7jKoXmoBGrTvEPj2PaD4XQc835ZQAu2eXWSNAGCzJUu",
                address: "AtiGYDhwF7WgxCCkoBrBZExGgvkMdZvjF8RbeiFz5JYn",
                collateralMintAddress: "8Zn4RujwptZUEkaBz35whgsrvEjbcffHZxnxSnoMB3sH",
                collateralSupplyAddress: "6gs8g8wTgm35BJHR5m28ZcCejjNdiKNXP1Zs1J2kz9Ad",
                liquidityAddress: "ExuZHww5qdNs64WxZengPSEFuRPPZyb5dFBkMXgAc9wo",
                liquidityFeeReceiverAddress: "FC6FDEVTM7JKb2cnykByPjR1JH45QZcCYz1dt5hdHunm",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reETH",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/renec-chain/rpl-token-registry/master/assets/mainnet/GwGh3b7iNibT3gpGn6SwZA9xZme7Th4NZmuGVD75jpZL/logo.png",
                    mint: "GwGh3b7iNibT3gpGn6SwZA9xZme7Th4NZmuGVD75jpZL",
                    name: "reETH",
                    symbol: "reETH",
                    volume24h: 25630.0,
                },
                pythOracle: "8Qia1nicPBG4TwksAVvzXn2GA5iosB3Q51zA121Xk4Bj",
                switchboardOracle: "8Qia1nicPBG4TwksAVvzXn2GA5iosB3Q51zA121Xk4Bj",
                address: "522Q6kyNCcRoPZSg6ErT3vnXDhAZUczV7Dhm7WW1jJyo",
                collateralMintAddress: "Feva8UsrB5yjjttGQkQJNzQX1q52PRgVkkx6tJirbqr7",
                collateralSupplyAddress: "B7rucVKZ3bARZJ2pNtGmZNUjSPcWTbLWdb9NyFJd4Z91",
                liquidityAddress: "3ZzaAA7DGr5pvaqKESc72Y34sxwU2H2RR2hjKT5asum3",
                liquidityFeeReceiverAddress: "8urvS3NASQUWfVEN9vLyabKnfXTBcv9K73xpqgn74655",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reUSD",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/renec-chain/rpl-token-registry/master/assets/mainnet/4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3/logo.png",
                    mint: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
                    name: "reUSD",
                    symbol: "reUSD",
                    volume24h: 25630.0,
                },
                pythOracle: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
                switchboardOracle: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
                address: "7g1fCn1DxokaQ1Wyu4ydecFMBsskSisoFZ25qAURSVdU",
                collateralMintAddress: "3dSYggthVk2sMaU8NSz3ypoqPiBfi7Eo4o1j2BGwpBKa",
                collateralSupplyAddress: "99C3MAgnBCNvg3KRM9B1GC3NNoHjNzWA4j8vc5NvYdu8",
                liquidityAddress: "3LRQbybDpnFiBD5h52ykRmMkWxbcVa7e4WuF7LLUqXfM",
                liquidityFeeReceiverAddress: "CMp7TJ7r5ksdXjzJHE7ZU8jkSG4Nt74bLvL8uwdpCARX",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "GAST",
                    decimals: 9,
                    logo: "https://easytokenbucket.s3.amazonaws.com/snkyrz1yqfmvbet8zxhtxhaw924a",
                    mint: "GvTwnAQLTdM6fMZbuGQoVj5odefCC2FsDvaMgxqZV1fi",
                    name: "GAST",
                    symbol: "GAST",
                    volume24h: 24000,
                },
                pythOracle: "9xfsZyNnsiLR7GUf6qSyscTSSNgPoUAvUrwVHPnXkATh",
                switchboardOracle: "45uxAij4yzKyyBebFLzHD1aCqfXaUYuENJsJ8d2R8bHK",
                address: "4T7Ch8sRG64fsmULtZm7DN5w3xNpj6JSkAJPA9wuCaP7",
                collateralMintAddress: "5zhShtutGP6Vvb6gJUFDpS4RmFiE6f2wbstdBPN9j9Ly",
                collateralSupplyAddress: "cFoLpoHRT1FtFzTZzkcj5JKGiRdoHmWfgdTLQ3pDPfh",
                liquidityAddress: "91dhqMiQfWGM3eJnGrDiDr4sbSS8h5WZ77YKzFC2dqba",
                liquidityFeeReceiverAddress: "BTSKJmXMH4Y1wg7YLo2M9Krt2foByWkSmrFqcC3RPvpG",
                userBorrowCap: 50000000000000,
                userSupplyCap: 100000000000000,
            },
        ],
        lookupTableAddress: "89ig7Cu6Roi9mJMqpY8sBkPYL2cnqzpgP16sJxSUbvct",
    },
];
exports.RELEND_INFO_TEST = [
    {
        name: "main",
        isPrimary: true,
        description: "",
        creator: "7Ux5Aoz15Aw3Spkm51TFWj9KYTJTysJeWtdQryL5FaUa",
        address: "EcyDtNp9F5gpbRxk243EstrkvxmgNYrG1qmctWdfYMrw",
        hidden: false,
        isPermissionless: false,
        authorityAddress: "AVAxHAFMNPKZZuoSYGf7Xo8foW7wxDqjRAT8hwsrqWuz",
        owner: "7Ux5Aoz15Aw3Spkm51TFWj9KYTJTysJeWtdQryL5FaUa",
        reserves: [
            {
                liquidityToken: {
                    coingeckoID: "RENEC",
                    decimals: 9,
                    logo: "https://easytokenbucket.s3.amazonaws.com/nsbr7a24f6ox3xh40obw8jaaxjzt",
                    mint: "So11111111111111111111111111111111111111112",
                    name: "RENEC",
                    symbol: "RENEC",
                    volume24h: 25630.0,
                },
                pythOracle: "nakiaURmuNcNS1nUwJzqKWU1x9CPXXfK4xVSK1utcL7",
                switchboardOracle: "nakiaURmuNcNS1nUwJzqKWU1x9CPXXfK4xVSK1utcL7",
                address: "2RbgMCDxwFn5HdrjoW2rJPcj6wStFRRPhguAgLnb9y62",
                collateralMintAddress: "EV8dehGVuFfC4wJMmQwkFEKZEyzrHU4kbMGz3Fy5htH3",
                collateralSupplyAddress: "F176rQ5DpgvMcJtVsB4SqGuu9chWRE8xRDozWhKt2Ld6",
                liquidityAddress: "7RsnFfubPb8Yd7cM2w239UhUPmEZM8qBUtgUYuxZzohe",
                liquidityFeeReceiverAddress: "2EAUY6SNv7oZ5XZXjFEUZJDjPywQVQXS3C1YYg99xkkw",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reBTC",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/renec-chain/rpl-token-registry/master/assets/mainnet/GwPQTMg3eMVpDTEE3daZDtGsBtNHBK3X47dbBJvXUzF4/logo.png",
                    mint: "BTCxWeEcT5sYsys7ncnr2bU1Mzbn1aXXqJDv43X22cDy",
                    name: "reBTC",
                    symbol: "reBTC",
                    volume24h: 25630.0,
                },
                pythOracle: "EWMPWwzt5wFWmtsYhEvGxZ8EvEsPp9Fm5rfQBwoXR3Nz",
                switchboardOracle: "EWMPWwzt5wFWmtsYhEvGxZ8EvEsPp9Fm5rfQBwoXR3Nz",
                address: "CdSZ1E3UPZDrE4ucjxiw4bx19Yfn9YgNZ2HTjM16erfJ",
                collateralMintAddress: "HWz56oMDiL8xvy6HrCTVXVJzaNG1XUu7xhpZb1nKE2gR",
                collateralSupplyAddress: "HgD34HZ73zA1tBnha55SEuTaSs7icGZdokGhMsMPohgn",
                liquidityAddress: "3WPyoQ4JdsJQBK3fW6ozZQ3HTZasm6poD92hgBmLqdcX",
                liquidityFeeReceiverAddress: "7a3cQfVVoanF9AUbwKj8mg3BgPUK5gMoFtzNgYWffL5C",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reETH",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/renec-chain/rpl-token-registry/master/assets/mainnet/GwGh3b7iNibT3gpGn6SwZA9xZme7Th4NZmuGVD75jpZL/logo.png",
                    mint: "ETH6nBodGWYQxz5qZ6C94E4DdQuH5iGTSwdhLHgiLzRy",
                    name: "reETH",
                    symbol: "reETH",
                    volume24h: 25630.0,
                },
                pythOracle: "CeVUAv8Fk7XfyVefBSZvpQZMMdkBanL4k4jLNCCjwrNC",
                switchboardOracle: "CeVUAv8Fk7XfyVefBSZvpQZMMdkBanL4k4jLNCCjwrNC",
                address: "AqYnLNEaUTFTt6hEDTh1khrXXqKn5sNpUSLFw9AgNsV",
                collateralMintAddress: "4zn5wXMKUbqtmVD4UmXnWGFhHzqiztX5YgaFLe1Afw8",
                collateralSupplyAddress: "CbomwZdFvLD7hWKmGQ1vYZjgZs5KZAfZZf9X1cqYhaCY",
                liquidityAddress: "7kcs4vUgNoH9x7Fx38x31uTRsRUbj92RV8UzYsPJc8Fw",
                liquidityFeeReceiverAddress: "FVdf3qyCyh6YG1a83XVuDJD5K3VxdKERAJauqEdVhrb4",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reUSD",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/renec-chain/rpl-token-registry/master/assets/mainnet/4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3/logo.png",
                    mint: "USDbgSB1DPBCEDt15ppgTZZYiQokMHcvkX6JQRfVNJY",
                    name: "reUSD",
                    symbol: "reUSD",
                    volume24h: 25630.0,
                },
                pythOracle: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
                switchboardOracle: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
                address: "93hnYsL5yeZt4SkWPuKey8hPPmxoThLhw8bQ2q3SPzFn",
                collateralMintAddress: "CRYp1u9GQV1T9pHgSMwV7v84DojJ5CDmYHBeqyzdftsA",
                collateralSupplyAddress: "9NDo8CJybHXUZhUVJ9iQaxUeWjEzamU7QL6Bd3GU7xMK",
                liquidityAddress: "2hJ1f4MvzjtHyLennaGrBxwfcA8SyMghskvZnotDWKG5",
                liquidityFeeReceiverAddress: "AFp6HryvuLXtdvdF9LgV8t6RJuGJSnss47ebrnixPyAt",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
        ],
        lookupTableAddress: "89ig7Cu6Roi9mJMqpY8sBkPYL2cnqzpgP16sJxSUbvct",
    },
];
exports.RELEND_INFO_TESTNET_V2 = [
    {
        name: "main",
        isPrimary: true,
        description: "",
        creator: "7Ux5Aoz15Aw3Spkm51TFWj9KYTJTysJeWtdQryL5FaUa",
        address: "3LMz1fJ3Rd8dYbM5BuTWyQuB6HNTuBSAYThPiQpftSU3",
        hidden: false,
        isPermissionless: false,
        authorityAddress: "FMdkLHYMEfSnKuoUhjRHFsAPyWc29KHsaBFCzRwZWZHt",
        owner: "7Ux5Aoz15Aw3Spkm51TFWj9KYTJTysJeWtdQryL5FaUa",
        reserves: [
            {
                liquidityToken: {
                    coingeckoID: "RENEC",
                    decimals: 9,
                    logo: "https://easytokenbucket.s3.amazonaws.com/nsbr7a24f6ox3xh40obw8jaaxjzt",
                    mint: "So11111111111111111111111111111111111111112",
                    name: "RENEC",
                    symbol: "RENEC",
                    volume24h: 25630.0,
                },
                pythOracle: "nakiaURmuNcNS1nUwJzqKWU1x9CPXXfK4xVSK1utcL7",
                switchboardOracle: "nakiaURmuNcNS1nUwJzqKWU1x9CPXXfK4xVSK1utcL7",
                address: "DvskrjWey3ojXrhXR9NMY5dyGfvZckqDdZL8GQC9FMNK",
                collateralMintAddress: "HnaPm5FbCMLuK3XPgbAdDB49gjXmpowvCrXFN1wu5Z5o",
                collateralSupplyAddress: "B3FrTxghC4Ji1rryGa46UunaA2idWpjRQ7YZsLy4pzHo",
                liquidityAddress: "2U8hnq9w1TpqH5GqCsSXZbyU3yM9wByWfL1JRRFkcbJN",
                liquidityFeeReceiverAddress: "HrHX7zsMdZgnVvFQS58vVGWbupygYcYjfwYYV5Bug8Dd",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reUSD",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/renec-chain/rpl-token-registry/master/assets/mainnet/4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3/logo.png",
                    mint: "USDbgSB1DPBCEDt15ppgTZZYiQokMHcvkX6JQRfVNJY",
                    name: "reUSD",
                    symbol: "reUSD",
                    volume24h: 25630.0,
                },
                pythOracle: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
                switchboardOracle: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
                address: "E6GNtLuWdgHLMUvWNp8RuVbkvWQGRvnjgpzMUqzL1tXS",
                collateralMintAddress: "FVRyVEFgJnoKL6HcaSXjNHcoFeV9fxPavLoG69sNdyyb",
                collateralSupplyAddress: "2ezCiQ4JgJgQaUw1Jquimr6rb4JpjBrFWWZeRRFRa4Ab",
                liquidityAddress: "Vspv2sdaxDCd1ueMjixNruAUea9JzmMJLymNGMCSCLK",
                liquidityFeeReceiverAddress: "GtFSEqKzHFj5ecxAHW2H472iKfYuR46eNiGHLvYyz3op",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
        ],
        lookupTableAddress: "89ig7Cu6Roi9mJMqpY8sBkPYL2cnqzpgP16sJxSUbvct",
    },
];
// -- RELEND INFO TEST REVND
exports.RELEND_INFO_MAINNET_TEST_REVND_RENGN = [
    {
        name: "main",
        isPrimary: true,
        description: "mainnet",
        creator: "HVLpcEEU16DxRPLd8dy1nsXkMN1VazTcpwR9QrWeuYcK",
        address: "FrYihmGZbzF9gsvsPrGztPssS9aGmd9KKSE2xgndxMC2",
        hidden: false,
        isPermissionless: false,
        authorityAddress: "7xtmH3CnkMrxqXGhHHnRNcM8xdG7RKHPE3fJP9TwJw6Y",
        owner: "HVLpcEEU16DxRPLd8dy1nsXkMN1VazTcpwR9QrWeuYcK",
        reserves: [
            {
                liquidityToken: {
                    coingeckoID: "GAST",
                    decimals: 9,
                    logo: "https://easytokenbucket.s3.amazonaws.com/snkyrz1yqfmvbet8zxhtxhaw924a",
                    mint: "GvTwnAQLTdM6fMZbuGQoVj5odefCC2FsDvaMgxqZV1fi",
                    name: "GAST",
                    symbol: "GAST",
                    volume24h: 24000,
                },
                pythOracle: "9xfsZyNnsiLR7GUf6qSyscTSSNgPoUAvUrwVHPnXkATh",
                switchboardOracle: "45uxAij4yzKyyBebFLzHD1aCqfXaUYuENJsJ8d2R8bHK",
                address: "9ZKvdaKmWyEscMi7pTfMGZy1mCV96oDBicHa31LEwPnN",
                collateralMintAddress: "3chdHMGJRvjmcNPsw9bCrBo9Y4K6Qw5BsNhQb2XbJCdZ",
                collateralSupplyAddress: "9TE2bGazkviHEBsieowyfTBCxUZVhGUSBBXBDHg9deYn",
                liquidityAddress: "HrvG7pxS665PSWNLYcKjGZQSvLRRfPZiG9mAznrdv9aE",
                liquidityFeeReceiverAddress: "3raZKrd5mXD8eh6F9oi5qT5HT4Nsmxcm1NLN4PXdo2Jp",
                userBorrowCap: 2000000000000,
                userSupplyCap: 5000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reVND",
                    decimals: 0,
                    logo: "https://renec-homepage.s3.amazonaws.com/tokens/reVND.png",
                    mint: "2kNzm2v6KR5dpzgavS2nssLV9RxogVP6py2S6doJEfuZ",
                    name: "reVND",
                    symbol: "reVND",
                    volume24h: 25630.0,
                },
                pythOracle: "Hf2adYGtFBBiraDGU2AzvXaEjmxTPDRH2uuGzdprjmCh",
                switchboardOracle: "B8C5ZttE6M3RhF533xSgXQv6zsKkBwRodBoqdahu85JQ",
                address: "6EUbk1W5ZtVvCzoxiL17sKezpPgNdpnS4LmwJn1P6mYT",
                collateralMintAddress: "5JVSZiRxcjwNhZdepMW4vjxMtRf9hq5wga1UDRUQEJ5V",
                collateralSupplyAddress: "6cggyYx5emg9roqaZgBsMUjvqxyQwy1MKxMfVCAE8wpc",
                liquidityAddress: "87SazTz2EPoqfJFoR74kLuKFvBmja6JZpDVKeEx1euRh",
                liquidityFeeReceiverAddress: "AgSxqKf1xRyBfSgpAeyEb44nUw71CbCNGgMBF1y1Kdyq",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "reNGN",
                    decimals: 0,
                    logo: "https://easytokenbucket.s3.amazonaws.com/l51g6wi82relpkmjnnu2bbmhv9lp",
                    mint: "BfSYryW6Q93iUKE4uNsUtAdxQT9uU4GSVg2si3outLk1",
                    name: "reNGN",
                    symbol: "reNGN",
                    volume24h: 25630.0,
                },
                pythOracle: "AeySuk5cgEjkJcBxPswnyzi77ctYNbsKkq5q2miEzPRS",
                switchboardOracle: "EUFxHUm5P5n6vY363sjtQcRG3XNf1qG56Bx2MZigpaQT",
                address: "81jPM1tUxp8ExhkSqGeCZcqgyGthtVmS3GtNAgd2JLEu",
                collateralMintAddress: "Cefeh8VDw7doj71E2sp7ckpTHH3UJTZZMX85QvowHFY2",
                collateralSupplyAddress: "zKiRXQmso5j6dk6iykUAoCsamtxCP2mCJpUPEyNrpBZ",
                liquidityAddress: "9LfuzoziK1JdnQVJDgjopHsHMUQJJxLUuPdhLYSXH3cU",
                liquidityFeeReceiverAddress: "3XvAzqNXa14SGER75SdvYqTeAWSJ94KyivyosFk1Xa5Q",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "RENEC",
                    decimals: 9,
                    logo: "https://easytokenbucket.s3.amazonaws.com/nsbr7a24f6ox3xh40obw8jaaxjzt",
                    mint: "So11111111111111111111111111111111111111112",
                    name: "RENEC",
                    symbol: "RENEC",
                    volume24h: 25630.0,
                },
                pythOracle: "GKQkHhzpDqyQ3AKaoo3ADcFjV6oFLv7Xf7Ut4dKyxtHj",
                switchboardOracle: "F6dpHV5GxqqcuJ1gfEU4AADQ5fUFZ1wFPbLcPMF4XPnQ",
                address: "nLia1JW6LcHJovSpseCA3DZrxF82rbydxchr2cbfvwW",
                collateralMintAddress: "GzgPBQPG7qboBaZi5PW4B7PEPL2go3yTUuPSJeu1uhTn",
                collateralSupplyAddress: "AiNAPwwDEU6jNiK8cF4V7ai7CtcCjZXnzpH9Un7juc6F",
                liquidityAddress: "B6u9bSPzQNA4qaFgNBSDGi1g9vreXcAfB4rLJmKTSKEV",
                liquidityFeeReceiverAddress: "5Vhhb687pcGAvU4PZKSBEGqcvSqgwXjxPiWQz7t8BqRs",
                userBorrowCap: 2000000,
                userSupplyCap: 5000000,
            },
        ],
        lookupTableAddress: "89ig7Cu6Roi9mJMqpY8sBkPYL2cnqzpgP16sJxSUbvct",
    },
];
const getRelendInfo = () => exports.IS_USING_TESTNET_V2
    ? exports.RELEND_INFO_TESTNET_V2
    : exports.IS_USING_MAINNET_TESTING_PROGRAM
        ? exports.RELEND_INFO_MAINNET_TEST_REVND_RENGN
        : exports.IS_MAINNET
            ? exports.RELEND_INFO_MAINNET
            : exports.RELEND_INFO_TEST;
exports.getRelendInfo = getRelendInfo;
// ! PRICE PAIRS
exports.REUSD_PRICE_MAINNET = {
    network: "mainnet",
    version: "1",
    quoteSymbol: "reUSD",
    quoteToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
    baseSymbol: "reUSD",
    baseToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
    maxPrice: "1",
    minPrice: "1",
};
exports.REUSD_PRICE_TESTNET = {
    network: "testnet",
    version: "1",
    quoteSymbol: "reUSD",
    quoteToken: "USDbgSB1DPBCEDt15ppgTZZYiQokMHcvkX6JQRfVNJY",
    baseSymbol: "reUSD",
    baseToken: "USDbgSB1DPBCEDt15ppgTZZYiQokMHcvkX6JQRfVNJY",
    maxPrice: "1",
    minPrice: "1",
};
exports.PRICE_PAIRS_MAINNET = [
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        baseSymbol: "reETH",
        baseToken: "GwGh3b7iNibT3gpGn6SwZA9xZme7Th4NZmuGVD75jpZL",
        maxPrice: "3000",
        minPrice: "1000",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        baseSymbol: "reBTC",
        baseToken: "GwPQTMg3eMVpDTEE3daZDtGsBtNHBK3X47dbBJvXUzF4",
        maxPrice: "100000",
        minPrice: "10000",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        baseSymbol: "RENEC",
        baseToken: "So11111111111111111111111111111111111111112",
        maxPrice: "3",
        minPrice: "0.01",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reVND",
        quoteToken: "2kNzm2v6KR5dpzgavS2nssLV9RxogVP6py2S6doJEfuZ",
        baseSymbol: "reUSD",
        baseToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        maxPrice: "10000",
        minPrice: "100",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reNGN",
        quoteToken: "BfSYryW6Q93iUKE4uNsUtAdxQT9uU4GSVg2si3outLk1",
        baseSymbol: "reUSD",
        baseToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        maxPrice: "10000",
        minPrice: "100",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        baseSymbol: "GAST",
        baseToken: "GvTwnAQLTdM6fMZbuGQoVj5odefCC2FsDvaMgxqZV1fi",
        maxPrice: "100000",
        minPrice: "10000",
    },
];
exports.PRICE_PAIRS_MAINNET_TEST_REVND_RENGN = [
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reVND",
        quoteToken: "2kNzm2v6KR5dpzgavS2nssLV9RxogVP6py2S6doJEfuZ",
        baseSymbol: "reUSD",
        baseToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        maxPrice: "10000",
        minPrice: "100",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reNGN",
        quoteToken: "BfSYryW6Q93iUKE4uNsUtAdxQT9uU4GSVg2si3outLk1",
        baseSymbol: "reUSD",
        baseToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        maxPrice: "10000",
        minPrice: "100",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        baseSymbol: "RENEC",
        baseToken: "So11111111111111111111111111111111111111112",
        maxPrice: "3",
        minPrice: "0.01",
    },
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "4Q89182juiadeFgGw3fupnrwnnDmBhf7e7fHWxnUP3S3",
        baseSymbol: "GAST",
        baseToken: "GvTwnAQLTdM6fMZbuGQoVj5odefCC2FsDvaMgxqZV1fi",
        maxPrice: "100000",
        minPrice: "10000",
    },
];
exports.PRICE_PAIRS_TESTNET = [
    {
        network: "testnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "USDbgSB1DPBCEDt15ppgTZZYiQokMHcvkX6JQRfVNJY",
        baseSymbol: "reETH",
        baseToken: "ETH6nBodGWYQxz5qZ6C94E4DdQuH5iGTSwdhLHgiLzRy",
        maxPrice: "3000",
        minPrice: "1000",
    },
    {
        network: "testnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "USDbgSB1DPBCEDt15ppgTZZYiQokMHcvkX6JQRfVNJY",
        baseSymbol: "reBTC",
        baseToken: "BTCxWeEcT5sYsys7ncnr2bU1Mzbn1aXXqJDv43X22cDy",
        maxPrice: "100000",
        minPrice: "10000",
    },
    {
        network: "testnet",
        version: "1",
        quoteSymbol: "reUSD",
        quoteToken: "USDbgSB1DPBCEDt15ppgTZZYiQokMHcvkX6JQRfVNJY",
        baseSymbol: "RENEC",
        baseToken: "So11111111111111111111111111111111111111112",
        maxPrice: "3",
        minPrice: "0.01",
    },
];
const getReUSDPricePair = () => (exports.IS_MAINNET ? exports.REUSD_PRICE_MAINNET : exports.REUSD_PRICE_TESTNET);
exports.getReUSDPricePair = getReUSDPricePair;
const getPricePair = () => exports.IS_USING_MAINNET_TESTING_PROGRAM
    ? exports.PRICE_PAIRS_MAINNET_TEST_REVND_RENGN
    : exports.IS_MAINNET
        ? exports.PRICE_PAIRS_MAINNET
        : exports.PRICE_PAIRS_TESTNET;
exports.getPricePair = getPricePair;
// ! PDA
exports.pdaMainnet = new oracle_sdk_1.PDA(new web3_js_1.PublicKey("Gc6MiDQNH7fLX9HmRqSnPqPe1LipKwspiuF2zycsHRHL"));
exports.pdaTestnet = new oracle_sdk_1.PDA(new web3_js_1.PublicKey("oracCoHjye6yUFgihJM2ER5oXjdHri1EGbH8DUSspsP"));
const getPDA = () => (exports.IS_MAINNET ? exports.pdaMainnet : exports.pdaTestnet);
exports.getPDA = getPDA;
